<form [formGroup]="form" (ngSubmit)="submit()">
    <div class="container mt-50">
        <!-- partial:partials/_sidebar.html -->
        <div class="row ">

            <div class="col-lg-12">
                <div class="nine">
                    <h1>Modifier un produit</h1>
                    <div id="section1" class="">

                        <h2>Informations de base</h2>
                        <div class="row">
                            <div class="col-lg-2 col-md-2 col-sm-12 col-12">
                                <label>Image du produit</label>
                            </div>
                            <div class="col-lg-10 col-md-10 col-sm-12 col-12">
                                <div id="page">
                                    <!-- <input type="file" (change)="onSelectFile($event)">
                                      <img [src]="url">-->
                                    <!-- Our File Inputs -->

                                    <div class="wrap-custom-file" *ngFor="let product of products; let i = index">
                                        <ng-container *ngIf="image_length > i">


                                            <input type="file" #fileInput name="image{{i+1}}" id="image{{i+1}}"
                                                accept=".gif, .jpg, .png, .jpeg" (change)="onFileUpdate($event,i)" />
                                            <label for="image{{i+1}}">
                                                <img *ngIf="product.imgBase64Data" [src]='product.imgBase64Data'
                                                    (click)='fileInput.click()'>
                                                <i class="fa fa-plus-circle" *ngIf="!product.imgBase64Data"></i>
                                            </label>
                                            <p class="img-n clr-b">Image {{i+1}}</p>
                                        </ng-container>


                                    </div>

                                    <div>
                                        <ng-container *ngFor="let aa of old_images">
                                            <img src="{{base_url}}static/public/{{aa}}" height="120" width="120"><a
                                                href="javascript:void(0)" (click)="deleteImage(aa)">X</a>&nbsp;&nbsp;
                                        </ng-container>
                                    </div>



                                    <!-- End Page Wrap -->
                                </div>
                            </div>
                        </div>
                        <br><br>

                        <div class="row">
                            <div class="col-lg-2 col-md-2 col-sm-12 col-12">
                                <label>Vidéo du produit</label>
                            </div>
                            <div class="col-lg-10 col-md-10 col-sm-12 col-12">
                                <div class="row">
                                    <div class="col-lg-2 col-md-3 col-sm-4 col-4">
                                        <div id="page" class="wrap-custom-file">




                                            <input formControlName="video" id="video" type="file"
                                                (change)="onSelectFile($event)" accept="video/mp4,video/x-m4v,video/*"
                                                style="width: 100%;height: 100%;z-index: 9;">

                                            <label for="image10" style="position: inherit;height: inherit;">
                                                <img [src]="url" *ngIf="format==='image' && url"
                                                    style="width: 104px;margin:0px -5px"> <br />
                                                <video [src]="url" *ngIf="format==='video' && url" controls
                                                    style="width: 100%;height: 100%;position: absolute;left: 0;top: 0;right: 0;bottom: 0;"></video>
                                                <br />
                                                <i class="fa fa-plus-circle" *ngIf="!url"></i>
                                            </label>
                                            <p class="img-n clr-b">* Vidéo de couverture</p>

                                        </div>
                                    </div>
                                    <div class="col-lg-10 col-md-10 col-sm-8 col-8">
                                        <ol class="ul-r-img">
                                            <li>Taille : 30 Mo maximum, la résolution ne doit pas dépasser
                                                1280x1280.</li>
                                            <li>Durée:10s-60s</li>
                                            <li>Format:MP4</li>
                                            <li>Note : Vous pouvez publier cette liste pendant que le vedio est en
                                                cours de
                                                traitement. La vidéo sera affichée dans la liste une fois qu'elle
                                                aura été
                                                traitée avec succès.</li>
                                        </ol>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row">
                                    <div class="col-lg-2 txt-align a-c-s">
                                        <label class="mb-0">*Nom du produit</label>
                                    </div>
                                    <div class="col-lg-10 position-r">
                                        <input type="text" class="form-control" id="" placeholder="" name=""
                                            formControlName="title" [(ngModel)]="old_title">
                                        <span class="input-spnr">| 28/120</span>

                                        <div *ngIf="f['title'].touched && f['title'].invalid" class="validation_error">
                                            <div class="error"
                                                *ngIf="f['title'].errors && f['title'].errors['required']">Le titre est
                                                requis.</div>
                                        </div>


                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-lg-2 txt-align a-c-s">
                                        <label class="">*Description du produit</label>
                                    </div>
                                    <div class="col-lg-10 position-r">
                                        <textarea class="form-control h-a" rows="5" id="" name="" formControlName="description" [(ngModel)]="old_description"></textarea>
                                        <span class="input-br">| 28/120</span>

                                        <div *ngIf="f['description'].touched && f['description'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['description'].errors && f['description'].errors['required']">
                                                La description est requis.</div>
                                        </div>


                                    </div>
                                </div>
                                <br>
                                <div class="row mt-3">
                                 
                                    <div class="col-lg-2 txt-align a-c-s">
                                        <label class="">*Catégorie</label>
                                    </div>
                                    <!-- <div class="col-lg-10 position-r" style="display: flex;">
                                      
                                      
                                      <select (change)="onSelect($event)" class="form-select"
                                          formControlName="catagory">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let a of parentCategories" value={{a._id}} [selected]="mycategories[0] == a._id">
                                              {{a.title}}
                                          </option>
                                      </select>

                                      <div *ngIf="f['catagory'].touched && f['catagory'].invalid" class="validation_error">
                                          <div class="error" *ngIf="f['catagory'].errors && f['catagory'].errors['required']">L'identifiant de la catégorie est requis.</div>
                                      </div>

                                      <select class="form-select" (change)="onSubSelect1($event)" formControlName="sub_cat_1">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let sub of subparentCategories" value={{sub._id}} [selected]="mycategories[1] == sub._id">
                                              {{sub.title}}
                                          </option>
                                      </select>

                                      <select class="form-select" (change)="onSubSelect2($event)" formControlName="sub_cat_2" [ngStyle]="{'display':displayStyle3}">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let sub of subparentCategories2" value={{sub._id}} >
                                              {{sub.title}}
                                          </option>
                                      </select>
                                      <select class="form-select" (change)="onSubSelect3($event)" formControlName="sub_cat_3" [ngStyle]="{'display':displayStyle4}">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let sub of subparentCategories3" value={{sub._id}}>
                                              {{sub.title}}
                                          </option>
                                      </select>

                                      <select class="form-select" (change)="onSubSelect4($event)" formControlName="sub_cat_4" [ngStyle]="{'display':displayStyle5}">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let sub of subparentCategories4" value={{sub._id}}>
                                              {{sub.title}}
                                          </option>
                                      </select>

                                      <select class="form-select" (change)="onSubSelect5($event)" formControlName="sub_cat_5" [ngStyle]="{'display':displayStyle6}">
                                          <option value="">Veuillez sélectionner une valeur</option>
                                          <option *ngFor="let sub of subparentCategories5" value={{sub._id}}>
                                              {{sub.title}}
                                          </option>
                                      </select>
                                  </div> -->

                                    <div class="col-lg-10 position-r" style="display: flex;">
                                        <!-- <button  (click)="openDialog()" class="btn btn-secondary">Pick Categoty</button> -->

                                        <select (change)="onSelect($event)" class="form-select"
                                            formControlName="catagory" [ngModel]="info">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option style="text-transform: capitalize;"
                                                *ngFor="let a of parentCategories" value={{a._id}} [selected]="mycategories[0] == a._id">
                                                {{a.title}} {{info}}
                                            </option>
                                        </select>


                                        <div *ngIf="f['catagory'].touched && f['catagory'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['catagory'].errors && f['catagory'].errors['required']">
                                                L'identifiant de la catégorie est requis.</div>
                                        </div>

                                        <select class="form-select" (change)="onSubSelect1($event)"
                                            formControlName="sub_cat_1">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option *ngFor="let sub of subparentCategories" value={{sub._id}} [selected]="mycategories[1] == sub._id">
                                                {{sub.title}}
                                            </option>
                                        </select>

                                        <select class="form-select" (change)="onSubSelect2($event)"
                                            formControlName="sub_cat_2" [ngStyle]="{'display':displayStyle3}"
                                            *ngIf="subparentCategories2 && subparentCategories2.length > 0">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option *ngFor="let sub of subparentCategories2" value={{sub._id}}>
                                                {{sub.title}}
                                            </option>
                                        </select>

                                        <select class="form-select" (change)="onSubSelect3($event)"
                                            formControlName="sub_cat_3" [ngStyle]="{'display':displayStyle4}"
                                            *ngIf="subparentCategories3 && subparentCategories3.length > 0">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option *ngFor="let sub of subparentCategories3" value={{sub._id}}>
                                                {{sub.title}}
                                            </option>
                                        </select>



                                        <select class="form-select" (change)="onSubSelect4($event)"
                                            formControlName="sub_cat_4" [ngStyle]="{'display':displayStyle5}"
                                            *ngIf="subparentCategories4 && subparentCategories4.length > 0">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option *ngFor="let sub of subparentCategories4" value={{sub._id}}>
                                                {{sub.title}}
                                            </option>
                                        </select>

                                        <select class="form-select" (change)="onSubSelect5($event)"
                                            formControlName="sub_cat_5" [ngStyle]="{'display':displayStyle6}"
                                            *ngIf="subparentCategories5 && subparentCategories5.length > 0">
                                            <option value="">Veuillez sélectionner une valeur</option>
                                            <option *ngFor="let sub of subparentCategories5" value={{sub._id}}>
                                                {{sub.title}}
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-lg-2 txt-align a-c-s">
                                        <label class="">*Marchandises dangereuses <i
                                                class="fa-regular fa-circle-question"></i></label>
                                    </div>
                                    <div class="col-lg-10 position-r">
                                        <ul class="radi-o">
                                            <li><label class="">Non
                                                    <input type="radio" formControlName="dangerous_goods" [value]="true"
                                                        name="dangerous_goods" >

                                                </label>
                                            </li>
                                            <li><label class="">Oui
                                                    <input type="radio" formControlName="dangerous_goods" [value]="false"
                                                        name="dangerous_goods">

                                                </label>
                                            </li>
                                        </ul>

                                        <div *ngIf="f['dangerous_goods'].touched && f['dangerous_goods'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['dangerous_goods'].errors && f['dangerous_goods'].errors['required']">
                                                Marchandises dangereuses est requis.</div>
                                        </div>

                                    </div>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div id="section4" class="">
                        <h2>Expédition</h2>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row">
                                    <div class="col-lg-2 txt-align">
                                        <label class="">*Poids </label>
                                    </div>
                                    <div class="col-lg-7 position-r">
                                        <input type="number" class="form-control" id="" (blur)="weightHere($event)"
                                            formControlName="weight" name="" (input)="weight=$event.target"
                                            [(ngModel)]="old_weight">
                                        <span class="input-spnr">| Kg</span>

                                        <div *ngIf="f['weight'].touched && f['weight'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['weight'].errors && f['weight'].errors['required']">Poids est
                                                requis.</div>
                                        </div>


                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-lg-2 txt-align ">
                                        <label class="mb-0">Taille du colis</label>
                                    </div>
                                    <div class="col-lg-7 position-r">
                                        <div class="row">
                                            <div class="col-lg-4 mb-3">
                                                <input type="text" class="form-control" placeholder="Largeur" name=""
                                                    formControlName="width" (input)="width=$event.target"
                                                    [(ngModel)]="old_width">
                                                <span class="input-spnr">| cm</span>

                                                <div *ngIf="f['width'].touched && f['width'].invalid"
                                                    class="validation_error">
                                                    <div class="error"
                                                        *ngIf="f['width'].errors && f['width'].errors['required']">La
                                                        largeur est requis.</div>
                                                </div>


                                            </div>
                                            <div class="col-lg-4 mb-3">
                                                <input type="text" class="form-control" id="" placeholder="Longueur"
                                                    formControlName="length" name="" (input)="length=$event.target"
                                                    [(ngModel)]="old_length">
                                                <span class="input-spnr">| cm</span>

                                                <div *ngIf="f['length'].touched && f['length'].invalid"
                                                    class="validation_error">
                                                    <div class="error"
                                                        *ngIf="f['length'].errors && f['length'].errors['required']">La
                                                        longueur est requis.</div>
                                                </div>

                                            </div>
                                            <div class="col-lg-4 mb-3">
                                                <input type="text" class="form-control" id="" placeholder="Hauteur"
                                                    formControlName="height" name="" (input)="height=$event.target"
                                                    [(ngModel)]="old_height">
                                                <span class="input-spnr">| cm</span>

                                                <div *ngIf="f['height'].touched && f['height'].invalid"
                                                    class="validation_error">
                                                    <div class="error"
                                                        *ngIf="f['height'].errors && f['height'].errors['required']">
                                                        Hauteur est requis.</div>
                                                </div>

                                            </div>
                                        </div>
                                        <br>
                                    </div>
                                </div>
                                <br>
                                <div class="row">

                                    <div class="col-lg-9 position-r">
                                        <div class="col-lg-12 p-0">
                                            <div class="card">
                                                <div class="card-header">
                                                    <a class="collapsed btn" data-bs-toggle="collapse"
                                                        href="#collapseTwo">
                                                        Livraison standard
                                                    </a>
                                                </div><br>
                                                <span>
                                                    Je prends en charge les frais d'expédition 
                                                    <label class="switch" *ngIf="record"> 
                                                        <input type="checkbox" (change)="sendWeight($event)"
                                                            formControlName="seller_will_bear_shipping" [checked]="record.seller_will_bear_shipping">
                                                        <span class="slider round"></span>
                                                    </label>
                                                   



                                                </span>


                                                <div class="" data-bs-parent="#accordion">
                                                    <div class="card-body cb" *ngFor="let d of recordsship">
                                                        <div class="row" *ngFor="let a of d.items">
                                                            <div class="col-lg-8 col-md-8 ">
                                                                <span>{{a.method_name}}</span> <span
                                                                    class="spn-clrd">{{a.number_of_days}}days</span>
                                                            </div>
                                                            <div class="col-lg-4 col-md-4 text-right">
                                                                <span>
                                                                    RM{{a.cose_per_unit}}

                                                                </span>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <br>
                                <br>
                                <br>
                            </div>
                        </div>
                    </div>


                    <div id="section5" class="">
                        <h2>Autres</h2>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row">
                                    <div class="col-lg-2 col-md-2 col-sm-4 col-4 txt-align">
                                        <label class="">Condition <i class="fa-regular fa-circle-question"></i></label>
                                    </div>
                                    <div class="col-lg-10 col-md-10 col-sm-8 col-8 position-r">
                                        <ul class="radi-o">
                                            <li><label class="">New
                                                    <input type="radio" formControlName="condition" [value]="true"
                                                        name="condition">

                                                </label>
                                            </li>
                                            <li><label class="">Old
                                                    <input type="radio" formControlName="condition" [value]="false"
                                                        name="condition">

                                                </label>
                                            </li>
                                        </ul>

                                    </div>
                                </div>

                                <!-- <div class="row">
                                      <div class="col-lg-2 txt-align a-c-s">
                                          <label class="">Parent SKU</label>
                                      </div>
                                      <div class="col-lg-7 position-r">
                                          <input type="text" placeholder="" class="form-control " formControlName="parent_sku"/>
                                      </div>
                                  </div> -->

                            </div>
                        </div>
                    </div>



                    <div class="row">
                        <div class="col-lg-2 txt-align a-c-s">
                            <label class="">SKU</label>
                        </div>
                        <div class="col-lg-7 position-r">
                            <input type="text" placeholder="" class="form-control " formControlName="sku"
                                [(ngModel)]="old_sku" />

                            <div *ngIf="f['sku'].touched && f['sku'].invalid" class="validation_error">
                                <div class="error" *ngIf="f['sku'].errors && f['sku'].errors['required']">SKU est
                                    requis.</div>
                            </div>

                        </div>
                    </div><br><br>
                    
                    <div id="section3" class="">
                        <h4>Données sur les produits</h4>
                        <div class="row">
                            <div class="col-lg-12"><br>
                                <div class="row">
                                    <div class="col-lg-7 offset-lg-2 mb-3">
                                        <ul class="radi-o">
                                            <li><label class="">
                                                    <input type="radio" name="enable_variation" [value]="false"
                                                        formControlName="enable_variation" > Produit simple
                                                </label>
                                            </li>
                                            <li><label class="">
                                                    <input type="radio" name="enable_variation" [value]="true"
                                                        formControlName="enable_variation"> Produit Variable
                                                </label>
                                            </li>
                                        </ul>





                                        <div *ngIf="f['enable_variation'].touched && f['enable_variation'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['enable_variation'].errors && f['enable_variation'].errors['required']">
                                                Activer la variation est requis.</div>
                                        </div>
                                    </div>
                                </div>



                                <br>
                                <div class="row">
                                    <div class="col-lg-7 offset-lg-2 mb-3">
                                        <ul class="radi-o">
                                            <li><label class="">
                                                    <input type="radio" name="is_auction" [value]="true" id="true"
                                                        formControlName="is_auction" (change)="auctionFunction($event)"> Enchères de produits
                                                </label>
                                            </li>
                                            <li><label class="">
                                                    <input type="radio" name="is_auction" [value]="false" id="false"
                                                        formControlName="is_auction" (change)="auctionFunction($event)"> Produit simple
                                                </label>
                                            </li>
                                        </ul>





                                        <!-- <div *ngIf="f['is_auction'].touched && f['is_auction'].invalid"
                                            class="validation_error">
                                            <div class="error"
                                                *ngIf="f['is_auction'].errors && f['is_auction'].errors['required']">
                                                Type de produit est requis.</div>
                                        </div> -->
                                    </div>
                                </div>
                                

                                <div [ngStyle]="{'display':displayStyle}">
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Prix de l'enchère</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input type="number" placeholder="" class="form-control "
                                                formControlName="auction_price" />
                                        </div>
                                    </div><br>
                                </div>

                                <div>
                                    
                                    

                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Prix</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input type="number" placeholder="" class="form-control "
                                                formControlName="price" />

                                            <div *ngIf="f['price'].touched && f['price'].invalid"
                                                class="validation_error">
                                                <div class="error"
                                                    *ngIf="f['price'].errors && f['price'].errors['required']">Le prix
                                                    est requis.</div>
                                            </div>
                                        </div>
                                    </div><br>
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Stock</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input type="number" placeholder="" class="form-control"
                                                formControlName="stock" />
                                            <div *ngIf="f['stock'].touched && f['stock'].invalid"
                                                class="validation_error">
                                                <div class="error"
                                                    *ngIf="f['stock'].errors && f['stock'].errors['required']">Le stock
                                                    est requis.</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <br> 
                                <div>
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Date de début de l'enchère</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input class="form-control" formControlName="auction_start_date" [owlDateTime]="dt1" [owlDateTimeTrigger]="dt1" placeholder="" >
                                            <owl-date-time #dt1></owl-date-time>
                                        </div>
                                    </div> 
                                </div>


                                
                                <br> 
                                <div>
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Date de fin de l'enchère</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input class="form-control" formControlName="auction_end_date" [owlDateTime]="dt2" [owlDateTimeTrigger]="dt2" placeholder="" >
                                            <owl-date-time #dt2></owl-date-time>
                                        </div>
                                    </div>  
                                </div>


                                <br>
                                <br>
                                <br>
                            </div>
                        </div>
                    </div>
                    <!-- <div id="section3" class="">
                        <h2>Informations sur les ventes test</h2>
                        <div class="row">
                            <div class="col-lg-12"><br>

                                <div class="row">
                                    <div class="col-lg-7 offset-lg-2 mb-3">
                                        <input type="radio" name="enable_variation" [value]="false"
                                            formControlName="enable_variation"> Simple
                                        <input type="radio" name="enable_variation" [value]="true" formControlName="enable_variation">
                                        Variable
                                    </div>
                                </div>

                                <div *ngIf="f['enable_variation'].touched && f['enable_variation'].invalid"
                                    class="validation_error">
                                    <div class="error"
                                        *ngIf="f['enable_variation'].errors && f['enable_variation'].errors['required']">
                                        Activer la variation est requis.</div>
                                </div>

                                <div>
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Prix</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input type="number" placeholder="" class="form-control "
                                                formControlName="price" [(ngModel)]="old_price" />

                                            <div *ngIf="f['price'].touched && f['price'].invalid"
                                                class="validation_error">
                                                <div class="error"
                                                    *ngIf="f['price'].errors && f['price'].errors['required']">Le prix
                                                    est requis.</div>
                                            </div>
                                        </div>
                                    </div><br>
                                    <div class="row">
                                        <div class="col-lg-2 txt-align a-c-s">
                                            <label class="">Stock</label>
                                        </div>
                                        <div class="col-lg-7 position-r">
                                            <input type="number" placeholder="" class="form-control"
                                                formControlName="stock" [(ngModel)]="old_stock" />

                                            <div *ngIf="f['stock'].touched && f['stock'].invalid"
                                                class="validation_error">
                                                <div class="error"
                                                    *ngIf="f['stock'].errors && f['stock'].errors['required']">Le stock
                                                    est requis.</div>
                                            </div>


                                        </div>
                                    </div>
                                </div>

                                <br>
                                <br>
                                <br>
                            </div>
                        </div>
                    </div> -->

                    <p>Spécifications du produit :</p>

                    <table class="table table-bordered" *ngIf="record">
                        <tr *ngFor="let item of record.spec_attributes">
                           <td>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Rubrique</label>
                                            <input type="text"  id="attribute"
                                                class="form-control" value="{{item.attribute}}" placeholder="Rubrique" disabled>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Valeur</label>
                                            <input type="text"  id="value" class="form-control"
                                                placeholder="Valeur" value="{{item.value}}" disabled>
                                        </div>
                                    </td>
                                    <td>
                                        <button  type="button" class="primary_danger removeBtn"><i
                                                class="fa-solid fa-xmark"></i></button>
                                    </td>
                        </tr>
                    </table>




                    <div class="form-group row mb-0">
                        <div class="clearfix"></div><br>
                        <p>A partir de là, vous pouvez ajouter les spécifications du produit :</p>

                        <div class="form-group">
                            <table class="table table-bordered" formArrayName="quantities">
                                <tr>
                                    <th colspan="2">Cliquer sur le lien ajouter des spécifications :</th>
                                    <th colspan="2">
                                        <button type="button" (click)="addQuantity()" class="primary_btn btn-spec"><i
                                                class="fa-solid fa-plus-circle fs-20" style="font-size: 20px;"></i> Ajouter des spécifications</button>
                                    </th>
                                </tr>
                                <tr *ngFor="let quantity of quantities().controls; let i=index" [formGroupName]="i">
                                    <td>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Rubrique</label>
                                            <input type="text" formControlName="attribute" id="attribute"
                                                class="form-control" placeholder="Rubrique">
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Valeur</label>
                                            <input type="text" formControlName="value" id="value" class="form-control"
                                                placeholder="Valeur">
                                        </div>
                                    </td>
                                    <td>
                                        <button (click)="removeQuantity(i)" class="primary_danger removeBtn"><i
                                                class="fa-solid fa-xmark"></i></button>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>






                    <!-- <button class="btn btn-theme"  type="submit">Submit</button> -->
                    <button class="btn btn-theme m-0" type="submit"  >Continuer <i
                            class="fa fa-spinner fa-spin" *ngIf="loading"></i></button>

                    <div class="clearfix"></div>
                    <br>
                    <div class="comeBack_up" *ngIf="apiResponse">
                        <div *ngIf="apiResponse.status == true; else loggedOut">
                            <div class="alert alert-success"><strong>{{ apiResponse.message }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <div class="alert alert-danger" *ngIf="apiResponse.message"><strong>{{ apiResponse.message }}</strong></div>
                        </ng-template>
                    </div>



                </div>
                
            </div>

        </div>
        <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
    <div class="modal" id="myModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <h6>
                        Options d'expédition gratuite : Collections personnelles (Shopee Xpress)
                    </h6>
                    <p class="fs-13"><span class="big-spn">RM3.50</span> Frais d'expédition calculés (sur la base du
                        poids
                        du produit de 1Kg)</p>
                    <div class="form-check mb-3">
                        <label class="form-check-label ml-0 fs-13 clr-9">
                            <input class="form-check-input" type="checkbox" name="remember"> je prendrai en charge
                            les frais
                            d'expédition<i class="fa-regular fa-circle-question"></i>
                        </label>
                    </div>
                </div>
                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-blank" data-bs-dismiss="modal">Annuler</button>
                    <button type="button" class="btn btn-fill">Appliquer</button>
                </div>
            </div>
        </div>
    </div>


</form>